from trios.classifiers.isi import ISI
from trios.feature_extractors import RAWBitFeatureExtractor
import trios
import numpy as np

import trios.shortcuts.persistence as p

if __name__ == '__main__':
    images = trios.Imageset([
        ('jung/jung-1a.png', 'jung/jung-s-1a.png', 'jung/jung-1a.png') # Input, Output, Mask    
    ])
    test = trios.Imageset.read('jung/test1.set')
     
    win = np.ones((5, 5), np.uint8)
    # ISI requires features coded in the bits of an int32
    op = trios.WOperator(win, ISI, RAWBitFeatureExtractor)
    print('Training...')
    op.train(images)
    print('Error (ISI)', op.eval(test))


